%define module Attribute-Handlers
%define name    perl-%{module}
%define version 0.83
%define release %mkrel 1

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:	Simpler definition of attribute handlers
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Attribute/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes. Variables
and subroutines subsequently defined in that package, or in packages
derived from that package may be given attributes with the same names as
the attribute handler subroutines, which will then be called at the end
of the compilation phase (i.e. in a `CHECK' block).

%prep
%setup -q -n %{module}-%{version} 
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Attribute
%{_mandir}/*/*


%changelog
* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2009.1
+ Revision: 354877
- update to new version 0.83

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.1
+ Revision: 354393
- update to new version 0.82

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.1
+ Revision: 302890
- update to new version 0.81

* Wed Oct 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2009.1
+ Revision: 298176
- new version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.78-3mdv2009.0
+ Revision: 241151
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.78-1mdv2008.0
+ Revision: 26669
- Import perl-Attribute-Handlers



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.78-1mdv2007.1
- initial Mandriva package 
